package com.jy.framework.model.annotation;

import com.jy.framework.model.enums.BusinessType;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RecordAudit {

    String moduleFlag() default "";

    /**
     * 方法名称
     */
    String moduleName();

    /**
     * 功能
     */
    BusinessType businessType();

    /**
     * 获取旧数据bean
     */
    String getOldDataBeanName() default "";

    /**
     * 获取旧数据方法
     */
    String getOldDataFunName() default "";

    /**
     * 业务id字段
     */
    String businessIdField() default "";

}
